{
  description = "Homelab configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    impermanence.url = "github:nix-community/impermanence";
  };

  outputs =
    { self, nixpkgs, ... }@inputs:
    let
      outputs = self.outputs;
      utils = import ./utils.nix { inherit nixpkgs inputs outputs; };
    in
    {
      nixosConfigurations = {
        "base" = utils.mkSystem [ ];
        "nix-test" = utils.mkSystem [ ./systems/nix-test.nix ];
      };
    };
}
